Bug 13447 - runreport.pl html email fails
Summary: runreport.pl html email fails
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 13448
  Show dependency treegraph
 
Reported: 2014-12-12 10:20 UTC by Martin Renvoize
Modified: 2016-06-21 21:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
BUG 13447: Fixed HTML Email Reports (928 bytes, patch)
2014-12-12 12:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
BUG 13447: Fixed HTML Email Reports (977 bytes, patch)
2014-12-21 08:53 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] BUG 13447: Fixed HTML Email Reports (1.02 KB, patch)
2014-12-27 13:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2014-12-12 10:20:57 UTC
When running runreport.pl from the command line with the following valid options the resulting email contains an empty body.

perl /usr/share/koha/bin/cronjobs/runreport.pl --format=html --to='me@myemail.com' 58

The above command is taken from a test on a package based install and run under koha-shell for the instance.  However, I have also tested with a dev type install and obtained the same result.
Comment 1 Martin Renvoize 2014-12-12 12:23:05 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2014-12-12 12:25:28 UTC
I feel bad, as I missed this when QAing Bug 9530
Comment 3 Chris Cormack 2014-12-21 08:53:56 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-12-27 13:44:19 UTC
Created attachment 34715 [details] [review]
[PASSED QA] BUG 13447: Fixed HTML Email Reports

A tiny typo made in runreport.pl when updating it for bug 9530 lead to
no body being attached to html emails.

Signed-off-by: Chris <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2014-12-28 23:52:30 UTC
Patch pushed to master.

Thanks Martin!
Comment 6 Chris Cormack 2014-12-30 21:45:20 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 7 Mason James 2015-01-16 20:33:53 UTC
Pushed to 3.16.x, will be in 3.16.7